> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# dnsfilter

> DNSFilter - IP address management, category and content filtering, network device inventory, and billing access

**Server path:** `/dnsfilter` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                              | Description    |
| ------------------------------------------------------------------------------------------------- | -------------- |
| [`dnsfilter_create_agent_local_users_csv_export`](#dnsfilter_create_agent_local_users_csv_export) | Create         |
| [`dnsfilter_create_ip_address`](#dnsfilter_create_ip_address)                                     | Create         |
| [`dnsfilter_get_agent_local_users_csv_export`](#dnsfilter_get_agent_local_users_csv_export)       | Show           |
| [`dnsfilter_get_application_category`](#dnsfilter_get_application_category)                       | Show category  |
| [`dnsfilter_get_billing_information`](#dnsfilter_get_billing_information)                         | Show           |
| [`dnsfilter_get_category`](#dnsfilter_get_category)                                               | Show category  |
| [`dnsfilter_get_ip_address`](#dnsfilter_get_ip_address)                                           | Show IP        |
| [`dnsfilter_list_all_categories`](#dnsfilter_list_all_categories)                                 | Get all        |
| [`dnsfilter_list_all_ip_addresses`](#dnsfilter_list_all_ip_addresses)                             | Get all        |
| [`dnsfilter_list_all_mac_addresses`](#dnsfilter_list_all_mac_addresses)                           | Get all        |
| [`dnsfilter_list_application_categories`](#dnsfilter_list_application_categories)                 | Get extant     |
| [`dnsfilter_list_applications`](#dnsfilter_list_applications)                                     | Get extant     |
| [`dnsfilter_list_block_pages`](#dnsfilter_list_block_pages)                                       | Get extant     |
| [`dnsfilter_list_categories`](#dnsfilter_list_categories)                                         | Get extant     |
| [`dnsfilter_list_counts`](#dnsfilter_list_counts)                                                 | Count users    |
| [`dnsfilter_list_invoices`](#dnsfilter_list_invoices)                                             | Get invoices   |
| [`dnsfilter_list_ip_addresses`](#dnsfilter_list_ip_addresses)                                     | Get extant     |
| [`dnsfilter_list_mac_addresses`](#dnsfilter_list_mac_addresses)                                   | Get extant     |
| [`dnsfilter_list_networks`](#dnsfilter_list_networks)                                             | Get extant     |
| [`dnsfilter_list_organizations`](#dnsfilter_list_organizations)                                   | Get extant     |
| [`dnsfilter_suggest_domain_threat`](#dnsfilter_suggest_domain_threat)                             | Suggest threat |
| [`dnsfilter_verify_ip_address`](#dnsfilter_verify_ip_address)                                     | Verify IP      |

***

## dnsfilter\_create\_agent\_local\_users\_csv\_export

Create

**Parameters:**

| Parameter                      | Type   | Required | Default | Description           |
| ------------------------------ | ------ | -------- | ------- | --------------------- |
| `agent_local_users_csv_export` | object | No       | —       | CSV export attributes |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "agent_local_users_csv_export": {
        "type": "object",
        "description": "CSV export attributes",
        "properties": {
          "organization_ids": {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "description": "Organization Ids"
          },
          "name": {
            "type": "string",
            "description": "The name value"
          },
          "search": {
            "type": "string",
            "description": "The search value"
          },
          "user_policy_override": {
            "type": "boolean",
            "description": "User Policy Override"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_create\_ip\_address

Create

**Parameters:**

| Parameter    | Type   | Required | Default | Description                            |
| ------------ | ------ | -------- | ------- | -------------------------------------- |
| `ip_address` | object | Yes      | —       | IP address creation request parameters |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ip_address": {
        "type": "object",
        "description": "IP address creation request parameters",
        "properties": {
          "address": {
            "type": "string",
            "description": "IP address"
          },
          "organization_id": {
            "type": "integer",
            "description": "Organization ID that the IP address belongs to"
          },
          "network_id": {
            "type": "integer",
            "description": "Network ID that the IP address belongs to"
          },
          "dynamic_hostname": {
            "type": "string",
            "description": "Dynamic hostname of the IP address"
          }
        },
        "required": [
          "address",
          "organization_id",
          "network_id"
        ]
      }
    },
    "required": [
      "PCID",
      "ip_address"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_get\_agent\_local\_users\_csv\_export

Show

**Parameters:**

| Parameter | Type   | Required | Default | Description                          |
| --------- | ------ | -------- | ------- | ------------------------------------ |
| `id`      | string | Yes      | —       | UUID of agent local users CSV export |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "UUID of agent local users CSV export"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_get\_application\_category

Show category

**Parameters:**

| Parameter | Type    | Required | Default | Description             |
| --------- | ------- | -------- | ------- | ----------------------- |
| `id`      | integer | Yes      | —       | Application category ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Application category ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_get\_billing\_information

Show

**Parameters:**

| Parameter         | Type    | Required | Default | Description          |
| ----------------- | ------- | -------- | ------- | -------------------- |
| `organization_id` | integer | Yes      | —       | User organization ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id": {
        "type": "integer",
        "description": "User organization ID"
      }
    },
    "required": [
      "PCID",
      "organization_id"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_get\_category

Show category

**Parameters:**

| Parameter | Type    | Required | Default | Description |
| --------- | ------- | -------- | ------- | ----------- |
| `id`      | integer | Yes      | —       | Category ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Category ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_get\_ip\_address

Show IP

**Parameters:**

| Parameter | Type    | Required | Default | Description   |
| --------- | ------- | -------- | ------- | ------------- |
| `id`      | integer | Yes      | —       | IP address ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "IP address ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_all\_categories

Get all

**Parameters:**

| Parameter | Type   | Required | Default | Description          |
| --------- | ------ | -------- | ------- | -------------------- |
| `page`    | object | No       | —       | Page number and size |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_all\_ip\_addresses

Get all

**Parameters:**

| Parameter | Type   | Required | Default | Description          |
| --------- | ------ | -------- | ------- | -------------------- |
| `page`    | object | No       | —       | Page number and size |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_all\_mac\_addresses

Get all

**Parameters:**

| Parameter          | Type       | Required | Default | Description                                        |
| ------------------ | ---------- | -------- | ------- | -------------------------------------------------- |
| `organization_ids` | integer\[] | No       | —       | Organization IDs, defaults to user organization ID |
| `page`             | object     | No       | —       | Page number and size                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_ids": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Organization IDs, defaults to user organization ID"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_application\_categories

Get extant

**Parameters:**

| Parameter | Type   | Required | Default | Description          |
| --------- | ------ | -------- | ------- | -------------------- |
| `page`    | object | No       | —       | Page number and size |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_applications

Get extant

**Parameters:**

| Parameter      | Type       | Required | Default | Description                   |
| -------------- | ---------- | -------- | ------- | ----------------------------- |
| `category_ids` | integer\[] | No       | —       | Category IDs, defaults to all |
| `page`         | object     | No       | —       | Page number and size          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "category_ids": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Category IDs, defaults to all"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_block\_pages

Get extant

**Parameters:**

| Parameter         | Type    | Required | Default | Description          |
| ----------------- | ------- | -------- | ------- | -------------------- |
| `organization_id` | integer | No       | —       | Organization ID      |
| `page`            | object  | No       | —       | Page number and size |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id": {
        "type": "integer",
        "description": "Organization ID"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_categories

Get extant

**Parameters:**

| Parameter | Type   | Required | Default | Description          |
| --------- | ------ | -------- | ------- | -------------------- |
| `page`    | object | No       | —       | Page number and size |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_counts

Count users

**Parameters:**

| Parameter          | Type       | Required | Default | Description                                                                           |
| ------------------ | ---------- | -------- | ------- | ------------------------------------------------------------------------------------- |
| `msp_id`           | integer    | No       | —       | MSP ID. When provided, returns counts across all organizations belonging to this MSP. |
| `name`             | string     | No       | —       | filter by name. If friendly\_name not found, will search by user\_name                |
| `organization_ids` | integer\[] | No       | —       | Organization IDs, defaults to user organization ID                                    |
| `search`           | string     | No       | —       | Filter by name or user\_login                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "msp_id": {
        "type": "integer",
        "description": "MSP ID. When provided, returns counts across all organizations belonging to this MSP."
      },
      "name": {
        "type": "string",
        "description": "filter by name. If friendly_name not found, will search by user_name"
      },
      "organization_ids": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Organization IDs, defaults to user organization ID"
      },
      "search": {
        "type": "string",
        "description": "Filter by name or user_login"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_invoices

Get invoices

**Parameters:**

| Parameter         | Type    | Required | Default | Description          |
| ----------------- | ------- | -------- | ------- | -------------------- |
| `organization_id` | integer | Yes      | —       | User organization ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_id": {
        "type": "integer",
        "description": "User organization ID"
      }
    },
    "required": [
      "PCID",
      "organization_id"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_ip\_addresses

Get extant

**Parameters:**

| Parameter | Type   | Required | Default | Description                    |
| --------- | ------ | -------- | ------- | ------------------------------ |
| `page`    | object | No       | —       | Page number and size           |
| `search`  | string | No       | —       | Search specific IP information |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      },
      "search": {
        "type": "string",
        "description": "Search specific IP information"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_mac\_addresses

Get extant

**Parameters:**

| Parameter          | Type       | Required | Default | Description                                        |
| ------------------ | ---------- | -------- | ------- | -------------------------------------------------- |
| `organization_ids` | integer\[] | No       | —       | Organization IDs, defaults to user organization ID |
| `page`             | object     | No       | —       | Page number and size                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "organization_ids": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Organization IDs, defaults to user organization ID"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_networks

Get extant

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                   |
| -------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------- |
| `basic_info`         | boolean | No       | —       | Return most basic Network Info only. Defaults to False                        |
| `count_network_ips`  | boolean | No       | —       | Return count of IP Addresses. Defaults to False                               |
| `force_truncate_ips` | boolean | No       | —       | Return Network info without IP Addresses. Defaults to False                   |
| `page`               | object  | No       | —       | Page number and size                                                          |
| `protected`          | boolean | No       | —       | Filter networks with assigned policy                                          |
| `search`             | string  | No       | —       | Search for the given value among the network name, hostname, ip address, etc. |
| `unprotected`        | boolean | No       | —       | Filter networks without assigned policy                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "basic_info": {
        "type": "boolean",
        "description": "Return most basic Network Info only. Defaults to False"
      },
      "count_network_ips": {
        "type": "boolean",
        "description": "Return count of IP Addresses. Defaults to False"
      },
      "force_truncate_ips": {
        "type": "boolean",
        "description": "Return Network info without IP Addresses. Defaults to False"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      },
      "protected": {
        "type": "boolean",
        "description": "Filter networks with assigned policy"
      },
      "search": {
        "type": "string",
        "description": "Search for the given value among the network name, hostname, ip address, etc."
      },
      "unprotected": {
        "type": "boolean",
        "description": "Filter networks without assigned policy"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_list\_organizations

Get extant

**Parameters:**

| Parameter                      | Type    | Required | Default | Description                                                        |
| ------------------------------ | ------- | -------- | ------- | ------------------------------------------------------------------ |
| `basic_info`                   | boolean | No       | —       | just return organizations basic info true/false, defaults to false |
| `exclude_inherit_privacy_mode` | boolean | No       | —       | Exclude organizations that have inherit privacy mode               |
| `managed_by_msp_id`            | integer | No       | —       | MSPs sub-organizations whose MSP ID matches this value             |
| `name`                         | string  | No       | —       | Filter by organization name                                        |
| `owned_msp_id`                 | integer | No       | —       | Parent organizations whose MSP ID matches this value               |
| `page`                         | object  | No       | —       | Page number and size                                               |
| `pii_grid_search`              | string  | No       | —       | Filter by organization name or privacy mode for pii grid search    |
| `type`                         | string  | No       | —       | Filter by organization type                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "basic_info": {
        "type": "boolean",
        "description": "just return organizations basic info true/false, defaults to false"
      },
      "exclude_inherit_privacy_mode": {
        "type": "boolean",
        "description": "Exclude organizations that have inherit privacy mode"
      },
      "managed_by_msp_id": {
        "type": "integer",
        "description": "MSPs sub-organizations whose MSP ID matches this value"
      },
      "name": {
        "type": "string",
        "description": "Filter by organization name"
      },
      "owned_msp_id": {
        "type": "integer",
        "description": "Parent organizations whose MSP ID matches this value"
      },
      "page": {
        "type": "object",
        "description": "Page number and size",
        "properties": {
          "number": {
            "type": "integer",
            "description": "The number value"
          },
          "size": {
            "type": "integer",
            "description": "The size value"
          }
        }
      },
      "pii_grid_search": {
        "type": "string",
        "description": "Filter by organization name or privacy mode for pii grid search"
      },
      "type": {
        "type": "string",
        "description": "Filter by organization type",
        "enum": [
          "normal",
          "msp",
          "sub_organization"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_suggest\_domain\_threat

Suggest threat

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                         |
| ------------ | ------ | -------- | ------- | --------------------------------------------------- |
| `categories` | string | No       | —       | Suggested security categories, comma separated IDs  |
| `fqdn`       | string | Yes      | —       | FQDN to verify                                      |
| `notes`      | string | Yes      | —       | User notes about the threat suggestion/verification |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "categories": {
        "type": "string",
        "description": "Suggested security categories, comma separated IDs"
      },
      "fqdn": {
        "type": "string",
        "description": "FQDN to verify"
      },
      "notes": {
        "type": "string",
        "description": "User notes about the threat suggestion/verification"
      }
    },
    "required": [
      "PCID",
      "fqdn",
      "notes"
    ]
  }
  ```
</Expandable>

***

## dnsfilter\_verify\_ip\_address

Verify IP

**Parameters:**

| Parameter    | Type   | Required | Default | Description                            |
| ------------ | ------ | -------- | ------- | -------------------------------------- |
| `ip_address` | object | Yes      | —       | IP address creation request parameters |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ip_address": {
        "type": "object",
        "description": "IP address creation request parameters",
        "properties": {
          "address": {
            "type": "string",
            "description": "IP address"
          },
          "organization_id": {
            "type": "integer",
            "description": "Organization ID that the IP address belongs to"
          },
          "network_id": {
            "type": "integer",
            "description": "Network ID that the IP address belongs to"
          },
          "dynamic_hostname": {
            "type": "string",
            "description": "Dynamic hostname of the IP address"
          }
        },
        "required": [
          "address",
          "organization_id",
          "network_id"
        ]
      }
    },
    "required": [
      "PCID",
      "ip_address"
    ]
  }
  ```
</Expandable>
